// Persistence of Vision Raytracer
// Persistence of Vision Raytracer
// By Derek w. Taylor

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "shadow.inc"

camera {
   location <0 0.5 -8.5>
   direction <0.0 0.0 1.0>
   up  <0.0  1.0  0.0>
   right <1.6 0.0 0.0>
   look_at <0.01 0.5 0.01>
 }

composite {
  object {                               // ball 1
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 1.0 green 0.5 blue 0.0
     }
    translate <5 Y_POS01 0>
    rotate <0 0 0>
   }

  object {                               // ball 2
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 0.5 green 1.0 blue 0.0
     }
    translate <5 Y_POS02 0>
    rotate <0 -3.6 0>
   }

  object {                               // ball 3
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 0.0 green 1.0 blue 0.5
     }
    translate <5 Y_POS03 0>
    rotate <0 -7.2 0>
   }

  object {                               // ball 4
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 0.0 green 1.0 blue 1.0
     }
    translate <5 Y_POS04 0>
    rotate <0 -10.8 0>
   }

  object {                               // ball 5
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 0.0 green 0.5 blue 1.0
     }
    translate <5 Y_POS05 0>
    rotate <0 -14.4 0>
   }

  object {                               // ball 6
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 0.0 green 0.0 blue 1.0
     }
    translate <5 Y_POS06 0>
    rotate <0 -18 0>
   }

  object {                               // ball 7
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 0.5 green 0.0 blue 1.0
     }
    translate <5 Y_POS07 0>
    rotate <0 -21.6 0>
   }

  object {                               // ball 8
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 1.0 green 0.0 blue 1.0
     }
    translate <5 Y_POS08 0>
    rotate <0 -25.2 0>
   }

  object {                               // ball 9
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 1.0 green 0.0 blue 0.5
     }
    translate <5 Y_POS09 0>
    rotate <0 -28.8 0>
   }

  object {                               // ball 10
    sphere { <0 0 0> 0.25  }
    texture {
      Dull
      color red 1.0 green 0.0 blue 0.0
     }
    translate <5 Y_POS10 0>
    rotate <0 -32.4 0>
   }

  rotate <0 Y_ROTATE 0>
 }

object {
  light_source { <4.0  15.0  -5.0> color White }
}
